ubuntu能不能安装双版本的Opencv?

软件和网站开发以及相关技术探讨
回复
nistar90
帖子: 52
注册时间: 2015-09-15 1:11
系统: win10
送出感谢: 7 次
接收感谢: 0

ubuntu能不能安装双版本的Opencv?

#1

帖子 nistar90 » 2016-01-29 19:12

不知道有人弄过没 :Noting
头像
vickycq
帖子: 4507
注册时间: 2011-03-20 13:12
系统: Debian
来自: 山东省寿光县
送出感谢: 100 次
接收感谢: 991 次
联系:

Re: ubuntu能不能安装双版本的Opencv?

#2

帖子 vickycq » 2016-01-29 21:00

可以。CMAKE_INSTALL_PREFIX 指定目录
再在 Makefile 中 指定 -L, -I 即可


opencv 2.4.9 安装在 /path/to/opencv2.4.9/
opencv 3.0.0 安装在 /path/to/opencv3.0.0/

如使用 2.4.9

代码: 全选

cmake -DCMAKE_INSTALL_PREFIX=/path/to/opencv2.4.9/ ......
Makefile:

代码: 全选

CPP = g++

# OpenCV 2.4.9
CPPFLAGS = -L/path/to/opencv2.4.9/lib \
       -I/path/to/opencv2.4.9/include

all: test

test: main.cpp
    $(CPP) $(CPPFLAGS) $^ -o [email protected]
参考
http://code.litomisky.com/2014/03/09/ho ... e-by-side/
http://answers.opencv.org/question/6517 ... on-ubuntu/
Debian 中文论坛 - forums.debiancn.org
欢迎所有 Debian GNU/Linux 用户
回复

回到 “软件/网站开发”